envy24control(1)

NAME
envy24control - GUI control tool for Envy24 (ice1712) based soundcards, under ALSA.

SYNOPSIS
envy24control [-c card-number] [-D control-name] [-o 0-num DACs max 8] [-i 0-num ADCs max 8] [-p 0-8] [-s 0-2] [-f <profiles file name>] [-v] [<profile number>|<profile name>] [-m midi-channel] [-M] [-w window-width] [-t 0-9]

DESCRIPTION
envy24control allows control of the digital mixer, channel gains and other hardware settings for sound cards based on the ice1712 chipset (Midiman Delta series, Terratec EWS and EWX series). It also displays a level meter for each input and output channel.

INVOKING
envy24control [-c card-number] [-D control-name] [-o 0-num DACs max 8] [-i 0-num ADCs max 8] [-p 0-8] [-s 0-2] [-f <profiles file name>] [-v] [<profile number>|<profile name>] [-m midi-channel] [-M] [-w window-width] [-t 0-9]

If no control-name is given, then the first sound card is used.

  Options

-c card-number
    Use the card specified by card-number rather than the first card. This is equivalent with -Dhw:n option where n is the card number.

-D control-name
    Use the card specified by control-name rather than the first card, normally this will be of the form hw:n where n is the sound card number (zero-based). This is only needed if you have more than one Envy24-based card or if your Envy24 card is not configured as the first card in your ALSA driver setup.

-o outputs
    Limit number of analog line outputs to display. Default is the number of DACs in the driver specification. Maximum is 8. The number of analog output lines can only be reduced from the available number of output lines.

-i inputs
    Limit number of analog line inputs to display. Default is the number of ADCs in the driver specification. Maximum is 8. The number of analog input lines can only be reduced from the available number of input lines.

-p pcm outputs
    Limit number of PCM outputs to display. Default is 8.

-s spdif inputs/outputs
    Limit number of SPDIF inputs/outputs to display. Default is 2.

-f name and path of the profiles file name.
    From/to this file will envy24control read/write the alsactl settings. If is not given DEFAULT_PROFILERC or for restore if DEFAULT_PROFILERC doesn't exists SYS_PROFILERC will be used.

-v view spdif playback channels in the mixer.
    It is not possible to manage something (muting, volume levels). It is only to view the levelmeters. Default is no view of spdif playback channels in the mixer.

-m midi-channel
    Use MIDI controller values to control the Faders in the mixer view. The application will react to controllers on channel midi-channel and send controllers on this channel when the user moves the GUI sliders.

-M  Use an enhanced mapping from midi controller values to db sliders.

-w window-width
    Specify the initial width of the envy24control window. Using window-width in the range 0-20 specifies approx number of mixer channels visible. Values >20 are interpreted as screen pixels.

-t tall-equal mixer heights
    Using -t 1 enlarges the channel mixers to the same height as the digital mixer. With values >1 the height of all mixers is increased in stages. -t 0 is the default, set for minimum window height.

SEE ALSO
alsamixer(1), amixer(1), gamix(1)

AUTHOR
envy24control is by Jaroslav Kysela <perex@perex.cz> This document is by James Tappin <james@xena.uklinux.net>. Updated by Dirk Kalis <dirk.kalis@t-online.de>. Options-w and -t added Alan Horstmann <gineera@aspect135.co.uk>